#define PI_NO_NSEND
#define PI_NO_NRECV
#define MPID_HAS_HETERO

/*
 *  $Id: chprobe.c,v 1.6 1994/08/12 20:39:50 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id";
#endif /* lint */

#include "mpid.h"

/*
   Implement probe by checking the unexpected receive queue.

 */
int MPID_P4_Iprobe( tag, source, context_id, found, status )
int tag, source, context_id, *found;
MPI_Status *status;
{
MPID_RHANDLE *mpid_recv_handle;
MPIR_RHANDLE *dmpi_unexpected;

/* At this time, we check to see if the message has already been received */
DMPI_search_unexpected_queue( source, tag, context_id, 
			      found, 0, &dmpi_unexpected );
if (!*found) {
    /* If nothing there, check for incoming messages.... */
    /* MPID_check_incoming should return whether it found anything when
       called in the non-blocking mode... */
    MPID_P4_check_incoming( MPID_NOTBLOCKING );
    DMPI_search_unexpected_queue( source, tag, context_id, 
				  found, 0, &dmpi_unexpected );
    }
if (*found) {
    /* Copy relevant data to status */
    mpid_recv_handle       = &dmpi_unexpected->dev_rhandle;
    status->MPI_SOURCE	   = dmpi_unexpected->source;
    status->count	   = mpid_recv_handle->bytes_as_contig;
    status->count_in_bytes = mpid_recv_handle->bytes_as_contig;
    status->MPI_TAG	   = dmpi_unexpected->tag; 
    }
return MPI_SUCCESS;
}


int MPID_P4_Probe( tag, source, context_id, status )
int tag, source, context_id;
MPI_Status *status;
{
int found;
while (1) {
    MPID_P4_Iprobe( tag, source, context_id, &found, status );
    if (found) break;
    /* Wait for a message */
    MPID_P4_check_incoming( MPID_BLOCKING );
    }
return MPI_SUCCESS; /* or make routine void ... */    
}
